GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.LimitedQuantitiesService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)

## Protected Attributes
String | serviceName
BigDecimal | weight

## Detailed Description

LimitedQuantities service attributes

Java class for LimitedQuantitiesService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="LimitedQuantitiesService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight" minOccurs="0"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 43 of file LimitedQuantitiesService.java.

## Member Function Documentation

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 60 of file LimitedQuantitiesService.java.

## ◆ getWeight()

BigDecimal eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 84 of file LimitedQuantitiesService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 72 of file LimitedQuantitiesService.java.

## ◆ setWeight()

void eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 96 of file LimitedQuantitiesService.java.

## Member Data Documentation

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.serviceName
| protected

Definition at line 46 of file LimitedQuantitiesService.java.

## ◆ weight

BigDecimal eu.gls_group.fpcs.v1.common.LimitedQuantitiesService.weight
| protected

Definition at line 50 of file LimitedQuantitiesService.java.

The documentation for this class was generated from the following file:

- LimitedQuantitiesService.java